# Generated by Django 4.1.4 on 2023-03-22 09:38

import django.db.models.deletion
from django.db import migrations, models

import contracts.models


class Migration(migrations.Migration):
    dependencies = [
        ("contracts", "0006_alter_contract_filing_area_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="ContracteeSignatureRepresentative",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=256, verbose_name="Jméno")),
                (
                    "function",
                    models.CharField(
                        blank=True, max_length=256, null=True, verbose_name="Funkce"
                    ),
                ),
                (
                    "contractee_signature",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="representatives",
                        to="contracts.contracteesignature",
                        verbose_name="Podpis naši smluvní strany",
                    ),
                ),
            ],
            options={
                "verbose_name": "Zástupce naší smluvní strany",
                "verbose_name_plural": "Zástupci naší smluvní strany",
            },
            bases=(contracts.models.RepresentativeMixin, models.Model),
        ),
        migrations.CreateModel(
            name="SigneeSignatureRepresentative",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=256, verbose_name="Jméno")),
                (
                    "function",
                    models.CharField(
                        blank=True, max_length=256, null=True, verbose_name="Funkce"
                    ),
                ),
                (
                    "signee_signature",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="representatives",
                        to="contracts.signeesignature",
                        verbose_name="Podpis druhé smluvní strany",
                    ),
                ),
            ],
            options={
                "verbose_name": "Zástupce jiné smluvní strany",
                "verbose_name_plural": "Zástupci jiných smluvních stran",
            },
            bases=(contracts.models.RepresentativeMixin, models.Model),
        ),
        migrations.RemoveField(
            model_name="contractsigneerepresentative",
            name="contract",
        ),
        migrations.RemoveField(
            model_name="contractsigneerepresentative",
            name="signee",
        ),
        migrations.DeleteModel(
            name="ContractContracteeRepresentative",
        ),
        migrations.DeleteModel(
            name="ContractSigneeRepresentative",
        ),
    ]
